<bugID>1384733<Summary>"List all tabs" dropdown list is slow with many tabs (~750), takes 2-3 seconds to show</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Build ID: 20170726030207

Steps to reproduce:

I am browsing with ~750 tabs after starting Firefox (so except for 1 tab, all of them should be unloaded), and clicking the "List all tabs" toolbar button.


Actual results:

The tabs list dropdown takes 2-3 seconds to show which is slow and annoying.


Expected results:

The tabs list dropdown should show immediately</Description></bugID>